using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.BI
{
    /// <summary>
    /// 八大工作票分布情况
    /// </summary>
    public class T_BI_JOB_PROFILE : MesEntityBase
    {
        [Description("生产单元")]
        [EnumName("FMProductionUnit")]
        public FMProductionUnit? MineType { get; set; }

        [Description("部门ID")]
        public Guid? DepId { get; set; }

        [Description("部门名称")]
        public string DepName { get; set; }

        [Description("作业ID")]
        public Guid? JobId { get; set; }

        [Description("作业名称")]
        public string JobName { get; set; }

        [Description("数量")]
        public int RiskCount { get; set; }
    }
}
